Method: projects.locations.brands.stores.batchDelete

매장을 일괄 삭제합니다.

HTTP 요청

POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/stores:batchDelete

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
parent

string

필수 항목입니다. 삭제되는 모든 매장에서 공유하는 상위 리소스입니다. 형식: projects/{project}/locations/{location}/brands/{brand}

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{
  "names": [
    string
  ]
}
필드
names[]

string

필수 항목입니다. 삭제할 매장의 이름입니다. 한 번에 최대 1,000개의 매장을 삭제할 수 있습니다. 형식: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

응답 본문

성공하면 응답 본문은 빈 JSON 객체입니다.

승인 범위

다음 OAuth 범위가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform

자세한 내용은 Authentication Overview를 참고하세요.